Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2040139 - babl-devel-docs package is incomplete
Summary: babl-devel-docs package is incomplete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: babl
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-13 04:01 UTC by "FeRD" (Frank Dana)
Modified: 2022-05-07 04:14 UTC (History)
3 users (show)

Fixed In Version: babl-0.1.92-1.fc35 babl-0.1.92-1.fc36
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-08 20:29:02 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description "FeRD" (Frank Dana) 2022-01-13 04:01:36 UTC
Description of problem:
When I say "incomplete", I actually mean pretty horribly broken — it's missing all of the documentation files that are generated during the build process, and the remaining static-only content is virtually unreadable

Version-Release number of selected component (if applicable):
babl-devel-docs-0.1.88-1.fc35.noarch

How reproducible:
100%

Steps to Reproduce:
1. sudo dnf install babl-devel-docs
2. Attempt to open /usr/share/doc/babl-devel/html/index.html

Actual results:
- missing files (there actually is no index.html — there should be)

The remaining files that are present have...
- missing images, see:
  /usr/share/doc/babl-devel/html/graphics/index.html
- missing content (this page is actually empty:)
  /usr/share/doc/babl-devel/html/Reference-static.html


Expected results:
Usable docs

Additional info:

I actually have a PR open that addresses these issues:

https://src.fedoraproject.org/rpms/babl/pull-request/2

But there's been no response for a few months.

Comment 1 Fedora Update System 2022-03-14 13:53:34 UTC
FEDORA-2022-08bbdcade4 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-08bbdcade4

Comment 2 Fedora Update System 2022-03-14 13:53:36 UTC
FEDORA-2022-9a16b18303 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9a16b18303

Comment 3 Fedora Update System 2022-03-14 20:38:57 UTC
FEDORA-2022-9a16b18303 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-9a16b18303`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9a16b18303

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-03-14 23:44:41 UTC
FEDORA-2022-08bbdcade4 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-08bbdcade4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-08bbdcade4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-03-31 16:39:57 UTC
FEDORA-2022-44d7d84361 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-44d7d84361

Comment 6 Fedora Update System 2022-03-31 16:39:57 UTC
FEDORA-2022-9dea679201 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9dea679201

Comment 7 Fedora Update System 2022-04-01 17:33:22 UTC
FEDORA-2022-44d7d84361 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-44d7d84361`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-44d7d84361

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-04-01 23:23:45 UTC
FEDORA-2022-9dea679201 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-9dea679201`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9dea679201

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-04-08 20:29:02 UTC
FEDORA-2022-44d7d84361 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-05-07 04:14:14 UTC
FEDORA-2022-9dea679201 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.